Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.monitor
Interface Monitorable

All Known Implementing Classes:
  AbstractInstanceCache, LRUEnterpriseContextCachePolicy

public interface Monitorable

Version:
  $Revision: 1.1 $
Author:
  Simone Bordet (simone.bordet@compaq.com)

Method Summary
`void` | `sample(java.lang.Object snapshot)` Samples the status of the implementor object and register the status into the snapshot argument.

Method Detail

### sample

    public void sample(java.lang.Object snapshot)

  Samples the status of the implementor object and register the status into the snapshot argument.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.